Bug 63148 - Nice return value is changed in glibc 2.2.5
Nice return value is changed in glibc 2.2.5
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: man-pages (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Ben Levenson
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-04-10 12:41 EDT by hjl
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 18:28:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hjl 2002-04-10 12:41:07 EDT
See the bug 63147.
Comment 1 Trond Eivind Glomsrxd 2002-04-10 16:40:17 EDT
Jakub,should the man page be changed, and in what what?
Comment 2 Bill Nottingham 2002-04-10 18:06:46 EDT
nice(2) shouldn't be changed, aside from possibly mentioning that glibc-2.2.5
and later returns the new priority... the syscall is the same, AFAIK.

There should probably be a nice(3) that documents that the library interface
conforms to SuS. Or do we not do separate section 3 pages for places where glibc
changes the returns of syscalls?

In any case, especially if the symbol isn't versioned, we need to add this to
the release notes.
Comment 3 hjl 2002-04-10 18:28:07 EDT
I don't think the (2) man pages describe the raw system calls. That is you can't
apply
the xxx(2) mage page to syscall (SYS_xxxx, ....).  For example,

STAT(2)                    System calls                   STAT(2)

NAME
       stat, fstat, lstat - get file status

SYNOPSIS
       #include <sys/types.h>
       #include <sys/stat.h>
       #include <unistd.h>

       int stat(const char *file_name, struct stat *buf);
       int fstat(int filedes, struct stat *buf);
       int lstat(const char *file_name, struct stat *buf);

DESCRIPTION
       These  functions  return  information  about the specified
       file.  You do not need any access rights to  the  file  to
       get  this  information  but  you need search rights to all
       directories named in the path leading to the file.

       stat stats the file pointed to by file_name and  fills  in
       buf.

You can't replace 

stat ("foo", &buf)

with

syscall (SYS_stat, "foo", &buf)

The xxx (2) man pages are for the cooked syscalls provided by glibc. You can
have a separate man page for syscall (). But I don't think adding nice (3) will
help anyone if there is nice (2).
Comment 4 Trond Eivind Glomsrxd 2002-04-15 22:25:32 EDT
The man page should document the standard. A deviation from that is a bug in the
component implementing it, not in the man page. If there is one, please add a
patch :)

Note You need to log in before you can comment on or make changes to this bug.